Subject: Re: Resubmission of patch for Package Description for CRAN Package r-crochet

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 17 Mar 2020 10:50:14 +0100

Hi,

there's a whitespace error at the bottom of the patch.  When I try to apply it
using "git am" I immediately get a warning message.

Also, the subject you used "gnu: r-crochet: New variable" would mean that
you add a new variable inside r-chochet, which you don't.

It should be: "gnu: Add r-crochet".

and

"* gnu/packages/cran.scm (r-crochet): New variable.".

Please examine some other commit messages in guix master for a template.

I've invoked guix lint and I get:

gnu/packages/cran.scm:20813:6: [email-masked]: use @code or similar ornament instead of quotes
/home/dannym/src/guix-r/guix/gnu/packages/cran.scm:20814:0: [email-masked]: trailing white space on line 20814
/home/dannym/src/guix-r/guix/gnu/packages/cran.scm:20815:0: [email-masked]: trailing white space on line 20815

Could you fix these problems and submit a new version (v3) of the patch
(using git send-email --to=[email-masked] , for example)?